corda / net.corda.node.services.transactions / BFTNonValidatingNotaryService

# BFTNonValidatingNotaryService

`class BFTNonValidatingNotaryService : NotaryService`

A non-validating notary service operated by a group of parties that don't necessarily trust each other.

A transaction is notarised when the consensus is reached by the cluster on its uniqueness, and timestamp validity.

### Types

Server | `class Server : Server`
ServiceFlow | `class ServiceFlow : FlowLogic<Void?>`

### Constructors

<init> | `BFTNonValidatingNotaryService(services: ServiceHubInternal, timestampChecker: TimestampChecker, serverId: Int, db: Database, client: Client)` A non-validating notary service operated by a group of parties that don't necessarily trust each other.

### Properties

client | `val client: Client`

### Functions

createFlow | `fun createFlow(otherParty: Party): ServiceFlow` Implement a factory that specifies the transaction commit flow for the notary service to use

### Companion Object Properties

type | `val type: ServiceType`